Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp.control
Class QueryResponse

    java.lang.Object
      org.cybergarage.http.HTTPPacket
          org.cybergarage.http.HTTPResponse
              org.cybergarage.soap.SOAPResponse
                  org.cybergarage.upnp.control.ControlResponse
                      org.cybergarage.upnp.control.QueryResponse

    public class QueryResponse

extends ControlResponse

Field Summary

Fields inherited from class org.cybergarage.upnp.control.ControlResponse
`FAULT_CODE, FAULT_STRING`

Constructor Summary
`QueryResponse()`
`QueryResponse(SOAPResponse soapRes)`

Method Summary
`String` | `getReturnValue()`
`void` | `setResponse(StateVariable stateVar)`

Methods inherited from class org.cybergarage.upnp.control.ControlResponse
`getUPnPError, getUPnPErrorCode, getUPnPErrorDescription, setFaultResponse, setFaultResponse`

Methods inherited from class org.cybergarage.soap.SOAPResponse
`getBodyNode, getEnvelopeNode, getFaultActor, getFaultActorNode, getFaultCode, getFaultCodeNode, getFaultDetailNode, getFaultNode, getFaultString, getFaultStringNode, getMethodResponseNode, print, setContent, setEnvelopeNode`

Methods inherited from class org.cybergarage.http.HTTPResponse
`getHeader, getStatusCode, getStatusLineString, isSuccessful, setStatusCode, toString`

Methods inherited from class org.cybergarage.http.HTTPPacket
`addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryResponse

    public QueryResponse()

### QueryResponse

    public QueryResponse(SOAPResponse soapRes)

Method Detail

### getReturnValue

    public String getReturnValue()

### setResponse

    public void setResponse(StateVariable stateVar)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD